QIMA Logo
API Reference

8 categories • 44 endpoints

  • All APIs

    44


  • Parameter
    v1.0.0

    Search cities in a country by name

    Request

    Query Parameters
    NameTypeLocationRequiredDescription
    countryIdstringpathYesCountry id, get it from API /parameter/v2/searchCountries, /parameter/v2/countries
    namestringqueryNoPartial or full city name to search for.
    rowsintegerqueryNoMaximum number of results to return.
    Responses

    200
    Matching cities returned successfully.

    Content-Type: application/json

    message
    string
    FieldTypeDescription
    messagestring
    FieldTypeDescription
    labelstringDisplaying text of this data
    valuestringValue of this data
    {
      "message": null,
      "content": [
        {
          "label": "Shenzhen, Guangdong",
          "value": "12687656"
        }
      ]
    }
    GET
    /parameter/v2/country/{countryId}/searchCities
    Request samples

    application/json

    {}

    Response samples

    application/json

    { "message": null, "content": [ { "label": "Shenzhen, Guangdong", "value": "12687656" } ] }